use crate::parse::element::test::{from_html_str, grab_element_from_document};
use microformats_types::temporal::Stamp;

use super::*;

#[test]
fn compose_temporal_value() {
    let element = grab_element_from_document(&from_html_str("<div></div>"), "div").unwrap();
    let vcp_extractor = ValueClassPropertyExtractor {
        element: ElementPtr::new(ElementRef {
            index: 0,
            node: Node { elem: element },
        }),
        hint: TypeHint::Plain,
    };

    assert_eq!(
        vcp_extractor
            .compose_temporal_value(&["2000-10-10".to_owned(), "".to_owned(), "10:00Z".to_owned()])
            .map(|t| t.to_string()),
        Some("2000-10-10 10:00Z".to_owned())
    );
    assert_eq!(
        vcp_extractor
            .compose_temporal_value(&["2000-100".to_owned(), "10:00Z".to_owned()])
            .map(|t| t.to_string()),
        Some("2000-100 10:00Z".to_owned())
    );
}
